× Warning! This forum is in archival status. New contributions may not work.
Help Newscoop 4
  • Dear,

    after installing version 4.0, when trying to access the site, the following error appeared (attached file). How to proceed?

    Att
    Eric Seabra
    1920 x 1037 - 506K
  • 32 Comments sorted by
  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    it's known issue. You should use any vps hosting instead of shared

  • Post edited by Éric Seabra at 2012-05-28 18:08:50
  • Reply to @Andrey+Podshivalov:



    Andrey,



    The issue
    is that I have a server where
    dedicated already use the previous version of Newscoop. Do you have any solution? What causes the error? If you delete the old version work? 


    Att

    Eric Seabra
    Post edited by Éric Seabra at 2012-05-28 18:14:23
  • One would therefore uninstall Zend Optimizer or not has nothing to do?

    Att
    Eric Seabra
  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    hi Eric,
    don't use zend optimizer. It's absolutely unnecessary. Just install xcache to accelerate php code execution.
  • Hi,

    can anyone help me solve my problem?

    Att
  • Vote Up0Vote Down Sava TatićSava Tatić
    Posts: 113Member, Administrator, Sourcefabric Team
    Eric,

    Have you uninstalled Zend Optimizer as Andrey indicated above?

    All the best,

    Sava

    p.s. pode escrever em português se quiser. 
  • Reply to @Sava+Tatić:

    Olá Sava, não desisntalei o Zend Optimizer, será que isso resolveria o problema? Não sei nem como proceder, pois meu administrador do servidor desapareceu. Sempre que preciso de algo, preciso abrir um chamado no suporte da empresa onde o servidor dedicado está contratado. É algo simples de fazer? Não sei se ajudaria, mas eu já utilizo a versão Newscoop 3.5.3 "Bea" no mesmo servidor e o mesmo nunca deu problema.


    Abraço
    Post edited by Éric Seabra at 2012-05-30 10:08:53
  • Vote Up0Vote Down Sava TatićSava Tatić
    Posts: 113Member, Administrator, Sourcefabric Team
    Esse era o conselho do Andrei. Tente isso por favor.

    Abraço

    Sava

    2012/5/30 Éric Seabra

    > Reply to @Sava+Tatić:
    >
    > Olá Sava, não desisntalei o Zend Optimizer, será que isso resolveria o
    > problema?
    >
    > Abraço
    >
    >
  • Reply to @Sava+Tatić:

    Obrigado Sava, já solicitei a desisntalação do Zend Optimizer ao suporte da empresa onde o servidor dedicado está contratado. Retornarei assim que tiver um retorno que espero ser positivo.

    Abraço
  • Reply to @Sava+Tatić:

    Sava, o Zend Optimizer não está instalado no servidor, segue mensagem do pessoal da empresa onde o servidor dedicado está contratado.

    Olá Éric, bom dia.





    O Zend Optimizer não encontra-se instalado em seu servidor, veja:



    root@zeus [~]# php -m |grep Zend

    Zend Guard Loader

    [Zend Modules]

    Zend Guard Loader



    root@zeus [~]# php -v

    PHP 5.3.13 (cli) (built: May 28 2012 14:01:29)

    Copyright (c) 1997-2012 The PHP Group

    Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies

    with the ionCube PHP Loader v4.0.12, Copyright (c) 2002-2011, by ionCube Ltd., and

    with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies

    O que pode estar gerando o erro no Newscoop 4?

    Abraço
  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    php -v should be looking like:

    PHP 5.3.10-1ubuntu3.1 with Suhosin-Patch (cli) (built: May  4 2012 02:20:36)
    Copyright (c) 1997-2012 The PHP Group
    Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies
        with XCache v1.3.2, Copyright (c) 2005-2011, by mOo

  • Reply to @Andrey+Podshivalov:

    Let's get this straight Andrey, Nescoop 4 to run on my server I need the following configuration:

    PHP 3.5.10-1ubuntu3.1 with Suhosin-Patch (cli) and XCache v1.3.2.

    Was that it?

    Att

  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    PHP could be any 5.3.x version.
    As I suggested already using xcache as opcode accelerator. Suhosin patch is optional (ubuntu uses by default)
    So, no more engine side additions.

  • Reply to @Andrey+Podshivalov:

    And what was generating the error in version 4 of Newscoop?

    Att
  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    with the ionCube PHP Loader v4.0.12, Copyright (c) 2002-2011, by ionCube Ltd., and


    with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies
  • Reply to @Andrey+Podshivalov:

    Excuse my ignorance but what is the solution to the four Newscoop 4 usually run on the server?

    Att

  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    please explain your last question. Portuguese is welcome.
  • Reply to @Andrey+Podshivalov:

    E qual seria a solução para que o Newscoop 4 funcione normalmente no servidor? Alguma configuração especial?

    Att
  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    it only depends on how many daily visitors/page views you are expecting. It doesn't matter how many installed newscoops.
    Post edited by Andrey Podshivalov at 2012-05-30 11:29:23
  • Vote Up0Vote Down Sava TatićSava Tatić
    Posts: 113Member, Administrator, Sourcefabric Team
    Seems Google Translate is failing us. :) What Eric is asking is, whether there is a preferred server setup for Newscoop 4 to run properly. 
  • Perfeito Sava!!!
    :)
  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    actually it doesn't matter one or multiple newscoops. I can not say about suitable server while I don't know information about expected traffic
  • Reply to @Andrey+Podshivalov:

    Hoje temos um número de acessos aos sites acima de 100.000 visitantes/mês. A informação ajuda?
  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    100K per month is about up to 5K per day and about 20K daily page views.

    The server like Amazon's Small Instance (Default) 1.7 GB of memory, 1 EC2 Compute Unit (1 virtual core with 1 EC2 Compute Unit) should be enough
    The Medium Instance 3.75 GB of memory, 2 EC2 Compute Units (1 virtual core with 2 EC2 Compute Units each) would be perfect

    More informatin about amazon hosting here: http://aws.amazon.com/ec2/
  • Vote Up0Vote Down Sava TatićSava Tatić
    Posts: 113Member, Administrator, Sourcefabric Team
    Conversei brevemente com Andrey, e o primeiro passo seria desinstalar o seguinte:

    1. ionCube PHP Loader 

    2. Zend Guard Loader


  • Reply to @Sava+Tatić:

    Isso afetaria algo nos sites já hospedados no servidor? Existe alguma explicação para a nova versão não rodar como a anterior?

    Abraço
    Post edited by Éric Seabra at 2012-05-30 11:49:44
  • Vote Up0Vote Down Andrey PodshivalovAndrey Podshivalov
    Posts: 1,526Member, Administrator, Sourcefabric Team
    of course. Any site loads server based on traffic and template complexity
  • Prezados Andrey e Sava,

    gostaria primeiramente de agradecê-los pela ajuda, e avisar que ao recompilar o PHP e desisntalar ionCube PHP Loader e Zend Guard Loader, a versão 4 aparentemente está funcionando, farei alguns testes para confirmar e aviso.

    Abraços,
    Éric Seabra
  • Vote Up0Vote Down Sava TatićSava Tatić
    Posts: 113Member, Administrator, Sourcefabric Team
    Muito bom! Esperamos então a sua confirmação para considerar o assunto
    resolvido. 
    Post edited by Jakub Górnicki at 2012-06-01 16:26:42
  • Pessoal,

    resolvido o problema!!!

    Abraços,
    Éric Seabra
  • Vote Up0Vote Down Sava TatićSava Tatić
    Posts: 113Member, Administrator, Sourcefabric Team
    Muito bom! Problema resolvido.

    Sava 
    Post edited by Jakub Górnicki at 2012-06-01 16:26:33